class Ball {  
  color c; 
  float xpos; 
  float ypos; 
  float xspeed; 
  float yspeed; 
  float radius; 
  float radius2; 
  int xdirection = 1; 
  int ydirection = 1; 
  boolean on = true;

  Ball (color c_, float xp, float yp, float xs, float ys, float r, float r2) { 
    c = c_; 
    xpos = xp; 
    ypos = yp; 
    xspeed = xs; 
    yspeed = ys; 
    radius = r; 
    radius2 = r2;
  } 
  void display() { 
    noStroke(); 
    fill (c); 
    smooth(); 
    ellipse(xpos, ypos, radius, radius); 
    //if (radius > 10) { 
    //  radius--;
    //}
  } 
  void move() { 
    if (on ==false) {
      xpos = xpos;
      ypos = ypos;
    } else {        
      xpos = xpos +(xspeed * xdirection); 
      ypos = ypos +(yspeed * ydirection); 
      if (xpos > width-radius2/2 || xpos < radius2/2) { 
        xdirection *=-1; 
        //radius = radius2;
      } 
      if (ypos > height-radius2/2 || ypos <radius2/2) { 
        ydirection *=-1; 
        //radius = radius2;
      }
    }
  }

  void collide(Ball[] check) {
    for(int i = 0; i<check.length; i++){
    float dh = dist(xpos, ypos, check[i].xpos, check[i].ypos);
    if (dh<this.radius) {

      this.xdirection *=-1; 
      this.ydirection *=-1;
      check[i].xdirection *=-1; 
      check[i].ydirection *=-1;
    }
    }
  }

  void turnOnOff() {
    if (on == true) {    
      on = false;
    } else {
      on = true;
    }
  }
  void speedTracker() {
    println("xspeed: ", xspeed);
  }
} 